Last Comment Bug 657985 - Panorama mixes up tabs between different groups
: Panorama mixes up tabs between different groups
Status: RESOLVED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: 5 Branch
: All All
: -- normal
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 635975
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-18 11:05 PDT by Henrik Skupin (:whimboo)
Modified: 2016-04-12 14:00 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Henrik Skupin (:whimboo) 2011-05-18 11:05:39 PDT
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:5.0a2) Gecko/20110515 Firefox/5.0a2 ID:20110515042002

I have noticed that due to Panorama some of my tabs were missing after a restart (could be after an update). A further check has been shown that those tabs have been moved to another group. As Tim mentioned to me there was already a fix in March but this time it happens with a nearly up-to-date Aurora build. I have no steps at the moment but want to file this bug for further investigation.

Enabled extensions:

        Add-on Compatibility Reporter
        0.8.2
        true
        compatibility@addons.mozilla.org

        DOM Inspector
        2.0.9
        true
        inspector@mozilla.org

        Extension Developer
        0.3.0.20100706
        true
        {75739dec-72db-4020-aa9a-6afa6744759b}

        Feedback
        1.0.9
        true
        testpilot@labs.mozilla.com

        Github tweaks for Bugzilla
        1.2
        true
        jid0-AWShpy08txla2QGDYvv5bed4sjs@jetpack

        MozMill Crowd
        0.1.2
        true
        mozmill-crowd@quality.mozilla.org

        Nightly Tester Tools
        3.1.2
        true
        {8620c15f-30dc-4dba-a131-7c5d20cf4a29}

        Restartless Restart
        4.2
        true
        restartless.restart@erikvold.com
Comment 1 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2011-05-19 02:00:15 PDT
So just FTR, the patch from bug 635975 is actually in beta:

http://hg.mozilla.org/mozilla-beta/file/e04c40d043b6/browser/base/content/tabview/tabitems.js#l868
Comment 2 Henrik Skupin (:whimboo) 2011-08-05 01:40:40 PDT
Hm, seems like it works now with Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:7.0a2) Gecko/20110804 Firefox/7.0a2. Not sure if the mentioned bug is related to my system but meanwhile one of those jetpacks could have been updated.

Shall we close it as fixed by bug 635975?
Comment 3 Raymond Lee [:raymondlee] 2011-09-12 01:26:54 PDT
(In reply to Henrik Skupin (:whimboo) from comment #2)
> Hm, seems like it works now with Mozilla/5.0 (Macintosh; Intel Mac OS X
> 10.6; rv:7.0a2) Gecko/20110804 Firefox/7.0a2. Not sure if the mentioned bug
> is related to my system but meanwhile one of those jetpacks could have been
> updated.
> 
> Shall we close it as fixed by bug 635975?

Yes

Note You need to log in before you can comment on or make changes to this bug.